edu.northwestern.at.morphadorner.corpuslinguistics.contractionexpander

## Class DefaultContractionExpander

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.contractionexpander.AbstractContractionExpander
    - - edu.northwestern.at.morphadorner.corpuslinguistics.contractionexpander.EnglishContractionExpander
      - - edu.northwestern.at.morphadorner.corpuslinguistics.contractionexpander.DefaultContractionExpander

- All Implemented Interfaces:
    ContractionExpander, UsesLogger

      public class DefaultContractionExpander
      extends EnglishContractionExpander

  Default Contraction Expander is the English Contraction Expander.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.contractionexpander.EnglishContractionExpander

      `contractedSpellingsFileName, contractionTokenizer`

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.contractionexpander.AbstractContractionExpander

      `contractedSpellings, logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultContractionExpander()` Create default contractionExpander.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.contractionexpander.EnglishContractionExpander

      `expandContraction`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.contractionexpander.AbstractContractionExpander

      `getLogger, loadContractedSpellings, setLogger`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultContractionExpander

          public DefaultContractionExpander()

      Create default contractionExpander.